Operation.Builder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.plan

## Class Operation.Builder

- java.lang.Object
- - org.apache.cassandra.index.sasi.plan.Operation.Builder

- Enclosing class:
    Operation

      public static class Operation.Builder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<RowFilter.Expression>` | `expressions`
    `protected Operation.Builder` | `left`
    `protected Operation.OperationType` | `op`
    `protected Operation.Builder` | `right`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Operation.OperationType operation, QueryController controller, RowFilter.Expression... columns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.util.Collection<RowFilter.Expression> newExpressions)`
    `void` | `add(RowFilter.Expression e)`
    `Operation` | `complete()`
    `Operation.Builder` | `setLeft(Operation.Builder operation)`
    `Operation.Builder` | `setRight(Operation.Builder operation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### op

          protected final Operation.OperationType op

    - #### expressions

          protected final java.util.List<RowFilter.Expression> expressions

    - #### left

          protected Operation.Builder left

    - #### right

          protected Operation.Builder right

  - ### Constructor Detail

    - #### Builder

          public Builder(Operation.OperationType operation,
                         QueryController controller,
                         RowFilter.Expression... columns)

  - ### Method Detail

    - #### setRight

          public Operation.Builder setRight(Operation.Builder operation)

    - #### setLeft

          public Operation.Builder setLeft(Operation.Builder operation)

    - #### add

          public void add(RowFilter.Expression e)

    - #### add

          public void add(java.util.Collection<RowFilter.Expression> newExpressions)

    - #### complete

          public Operation complete()

Copyright © 2018 The Apache Software Foundation